﻿// LogInDlg.cpp: 实现文件
//

#include "pch.h"
#include "aike.h"
#include "afxdialogex.h"
#include "LogInDlg.h"
#include "aikeDlg.h"


// LogInDlg 对话框

IMPLEMENT_DYNAMIC(LogInDlg, MyDialog)

LogInDlg::LogInDlg(CWnd* pParent /*=nullptr*/)
	: MyDialog(IDD_LOGINDLG, pParent)
{
	m_Parent = pParent;
}

LogInDlg::~LogInDlg()
{
}


BEGIN_MESSAGE_MAP(LogInDlg, MyDialog)
	ON_WM_PAINT()
	ON_NOTIFY(BCN_HOTITEMCHANGE, IDC_CHECK1, &LogInDlg::OnBnHotItemChangeCheck1)
	ON_NOTIFY(NM_THEMECHANGED, IDC_CHECK1, &LogInDlg::OnNMThemeChangedCheck1)
	ON_BN_CLICKED(IDC_CHECK1, &LogInDlg::OnBnClickedCheck1)
END_MESSAGE_MAP()



BOOL LogInDlg::OnInitDialog()
{
	__super::OnInitDialog();
	CImage img;
	img.Load(_T("../aike/res/background.jpg"));
	//SetBackground(img);
	PaintDlg();
	// TODO:  在此添加额外的初始化
	//PaintDlg();
	FixedSize();
	CRect rt = {0,0,90,30};
	/*480,325*/
	rt.MoveToXY(120, 240);
	AddButton(1, rt);
	SetLClick(1, [this](int i) {LoginClick(i); });
	rt.MoveToXY(270, 240);
	AddButton(2, rt); 
	SetLClick(2, [this](int i) {CloseClick(i); });
	return TRUE;  // return TRUE unless you set the focus to a control
	// 异常: OCX 属性页应返回 FALSE
}

VOID LogInDlg::LoginClick(int id)
{
	CString Name, Pass, tmp;
	GetDlgItemText(IDC_EDIT1, Name);
	GetDlgItemText(IDC_EDIT2, Pass);
	BOOL sys = ((CButton*)GetDlgItem(IDC_CHECK1))->GetCheck();
	if (!sys)
	{
		if (Name == _T(""))
		{
			MessageBox(_T("请输入要登陆的账号"), _T("温馨提示"));
			return;
		}
	}
	CaikeDlg* dlg = (CaikeDlg*)m_Parent;
	switch (dlg->CheckUser(Name, Pass, sys))
	{
	case 0:
		MessageBox(_T("账号不存在"), _T("温馨提示"));
		break;
	case 1:
		if(sys)
		{
			dlg->LogName = _T("系统管理员");
		}
		else
		{
			dlg->LogName = Name;
		}
		MyDialog::OnOK();
		break;
	case 2:
		MessageBox(_T("密码输入错误"), _T("温馨提示"));
		break;
	default:
		break;
	}
}

VOID LogInDlg::CloseClick(int id)
{
	MyDialog::OnCancel();
	//return VOID();
}


void LogInDlg::OnBnHotItemChangeCheck1(NMHDR* pNMHDR, LRESULT* pResult)
{
	// 此功能要求 Internet Explorer 6 或更高版本。
	// 符号 _WIN32_IE 必须是 >= 0x0600。
	LPNMBCHOTITEM pHotItem = reinterpret_cast<LPNMBCHOTITEM>(pNMHDR);
	// TODO: 在此添加控件通知处理程序代码
	
	*pResult = 0;
}


void LogInDlg::OnNMThemeChangedCheck1(NMHDR* pNMHDR, LRESULT* pResult)
{
	// 该功能要求使用 Windows XP 或更高版本。
	// 符号 _WIN32_WINNT 必须 >= 0x0501。
	// TODO: 在此添加控件通知处理程序代码
	*pResult = 0;
}


void LogInDlg::OnBnClickedCheck1()
{
	GetDlgItem(IDC_EDIT1)->EnableWindow(!((CButton*)GetDlgItem(IDC_CHECK1))->GetCheck());
	// TODO: 在此添加控件通知处理程序代码
}
